Issue 113623 - [sot] operator delete mismatch in ~EasyFat
Summary: [sot] operator delete mismatch in ~EasyFat
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: DEV300m84
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: philipp.lohmann
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-08-03 17:00 UTC by mst.ooo
Modified: 2010-08-31 14:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description mst.ooo 2010-08-03 17:00:28 UTC
in DEV300m86 smoketest lots of these assertions occur:

Error: operator delete mismatch From File
m86/DEV300/ooo/sal/cpprt/operators_new_delete.cxx at Line 95

from here:
#4  0xb502a2fb in ~EasyFat (this=0xa6086f24, __in_chrg=<value optimized out>)
    at m86/DEV300/ooo/sot/source/sdstor/stgio.cxx:161
Comment 1 mst.ooo 2010-08-03 17:09:54 UTC
fixed in cws sw33bf08
http://hg.services.openoffice.org/hg/cws/sw33bf08/rev/25a77a684df8
Comment 2 mst.ooo 2010-08-19 10:38:12 UTC
since you always complain about these, can you please verify this one...
Comment 3 philipp.lohmann 2010-08-19 10:47:50 UTC
code review shows the correct destructor now

verified
Comment 4 philipp.lohmann 2010-08-31 14:44:12 UTC
seen in OOO330m6, closing